LogTrackPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.LogTrackPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class LogTrackPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.LogTrackPlugin

Direct Known Subclasses:
  LogFileTrackPlugin, MxNotificationPlugin, Win32EventLogTrackPlugin

    public class LogTrackPlugin

extends GenericPlugin

Field Summary
`static int` | `LOGLEVEL_ANY`
`static int` | `LOGLEVEL_DEBUG`
`static java.lang.String` | `LOGLEVEL_DEBUG_LABEL`
`static int` | `LOGLEVEL_ERROR`
`static java.lang.String` | `LOGLEVEL_ERROR_LABEL`
`static int` | `LOGLEVEL_INFO`
`static java.lang.String` | `LOGLEVEL_INFO_LABEL`
`static int` | `LOGLEVEL_WARN`
`static java.lang.String` | `LOGLEVEL_WARN_LABEL`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`LogTrackPlugin()`

Method Summary
`void` | `configure(ConfigResponse config)`
`ConfigSchema` | `getConfigSchema(TypeInfo info, ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected ConfigOption` | `getEnableOption(TypeInfo info, ConfigResponse config)`
`protected ConfigOption` | `getExcludeOption(TypeInfo info, ConfigResponse config)`
`protected ConfigOption` | `getIncludeOption(TypeInfo info, ConfigResponse config)`
`protected int` | `getLogLevel()`
`protected int` | `getLogLevel(java.lang.String label)`
`java.lang.String[]` | `getLogLevelAliases()`
`static java.lang.String` | `getLogLevelLabel(int level)`
`protected java.util.Map` | `getLogLevelMap()`
`static int[]` | `getLogLevels()`
`LogTrackPluginManager` | `getManager()`
`void` | `init(PluginManager manager)` Called when the plugin is loaded on the server and on the agent side.
`static boolean` | `isEnabled(ConfigResponse config, int type)`
`protected boolean` | `messageMatches(TrackEvent event)`
`protected TrackEvent` | `newTrackEvent(long time, int level, java.lang.String source, java.lang.String message)`
`protected TrackEvent` | `newTrackEvent(long time, java.lang.String level, java.lang.String source, java.lang.String message)`
`void` | `reportEvent(long time, int level, java.lang.String source, java.lang.String message)`
`static void` | `setEnabled(ConfigResponse config, int type, int level)`
`protected void` | `setLogLevel(int level)`
`protected boolean` | `shouldDebugLog()`
`protected boolean` | `shouldLog(int level)`
`protected java.lang.String` | `stripNewLines(java.lang.String message)`
`protected boolean` | `supportsLogLevels()`
`protected boolean` | `supportsPatternMatching()`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGLEVEL_ANY

    public static final int LOGLEVEL_ANY

See Also:
  Constant Field Values

### LOGLEVEL_ERROR

    public static final int LOGLEVEL_ERROR

See Also:
  Constant Field Values

### LOGLEVEL_WARN

    public static final int LOGLEVEL_WARN

See Also:
  Constant Field Values

### LOGLEVEL_INFO

    public static final int LOGLEVEL_INFO

See Also:
  Constant Field Values

### LOGLEVEL_DEBUG

    public static final int LOGLEVEL_DEBUG

See Also:
  Constant Field Values

### LOGLEVEL_ERROR_LABEL

    public static final java.lang.String LOGLEVEL_ERROR_LABEL

See Also:
  Constant Field Values

### LOGLEVEL_WARN_LABEL

    public static final java.lang.String LOGLEVEL_WARN_LABEL

See Also:
  Constant Field Values

### LOGLEVEL_INFO_LABEL

    public static final java.lang.String LOGLEVEL_INFO_LABEL

See Also:
  Constant Field Values

### LOGLEVEL_DEBUG_LABEL

    public static final java.lang.String LOGLEVEL_DEBUG_LABEL

See Also:
  Constant Field Values

Constructor Detail

### LogTrackPlugin

    public LogTrackPlugin()

Method Detail

### getLogLevels

    public static int[] getLogLevels()

### getLogLevelLabel

    public static java.lang.String getLogLevelLabel(int level)

### getLogLevel

    protected int getLogLevel(java.lang.String label)

### getLogLevelAliases

    public java.lang.String[] getLogLevelAliases()

### getLogLevelMap

    protected java.util.Map getLogLevelMap()

### isEnabled

    public static boolean isEnabled(ConfigResponse config,
                                    int type)

### setEnabled

    public static void setEnabled(ConfigResponse config,
                                  int type,
                                  int level)

### supportsLogLevels

    protected boolean supportsLogLevels()

### shouldDebugLog

    protected boolean shouldDebugLog()

### shouldLog

    protected boolean shouldLog(int level)

### getLogLevel

    protected int getLogLevel()

### setLogLevel

    protected void setLogLevel(int level)

### messageMatches

    protected boolean messageMatches(TrackEvent event)

### newTrackEvent

    protected TrackEvent newTrackEvent(long time,
                                       java.lang.String level,
                                       java.lang.String source,
                                       java.lang.String message)

### stripNewLines

    protected java.lang.String stripNewLines(java.lang.String message)

### newTrackEvent

    protected TrackEvent newTrackEvent(long time,
                                       int level,
                                       java.lang.String source,
                                       java.lang.String message)

### reportEvent

    public void reportEvent(long time,
                            int level,
                            java.lang.String source,
                            java.lang.String message)

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### supportsPatternMatching

    protected boolean supportsPatternMatching()

### getIncludeOption

    protected ConfigOption getIncludeOption(TypeInfo info,
                                            ConfigResponse config)

### getExcludeOption

    protected ConfigOption getExcludeOption(TypeInfo info,
                                            ConfigResponse config)

### getEnableOption

    protected ConfigOption getEnableOption(TypeInfo info,
                                           ConfigResponse config)

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `GenericPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

### init

    public void init(PluginManager manager)
              throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the plugin is loaded on the server and on the agent side.

  Overrides:
    `init` in class `GenericPlugin`
  Parameters:
    `manager` - The plugin manager for this plugin type.
  Throws:
    `PluginException`

### getManager

    public LogTrackPluginManager getManager()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.